Page MenuHomePhabricator

Mirror orphan logging to stdout
Closed, ResolvedPublic0 Story Points

Description

Logging is fragile cos there are two ways to output messages from the slayer script: echo and Logger. This causes us to cheat all over the place and use just one of the two. Try to make the logger mirror to stdout or something.

Event Timeline

awight created this task.Aug 4 2015, 6:34 AM
awight raised the priority of this task from to Normal.
awight updated the task description. (Show Details)
awight added a subscriber: awight.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 4 2015, 6:34 AM

Change 232905 had a related patch set uploaded (by Awight):
Consolidate slayer logging; general cleanups

https://gerrit.wikimedia.org/r/232905

Change 232906 had a related patch set uploaded (by Awight):
Consolidate slayer logging; general cleanups

https://gerrit.wikimedia.org/r/232906

Change 232905 abandoned by Awight:
Consolidate slayer logging; general cleanups

Reason:
Wrong branch.

https://gerrit.wikimedia.org/r/232905

awight set Security to None.
awight edited a custom field.
awight moved this task from Backlog to Review on the Fundraising Sprint Rowlf the Dog board.

Change 232906 merged by jenkins-bot:
Consolidate slayer logging; general cleanups

https://gerrit.wikimedia.org/r/232906

atgo assigned this task to awight.Aug 21 2015, 8:07 PM
atgo added a subscriber: atgo.
awight closed this task as Resolved.Aug 21 2015, 9:35 PM
awight moved this task from Review to Done on the Fundraising Sprint Rowlf the Dog board.
mmodell removed a subscriber: awight.Jun 22 2017, 9:38 PM